// GroupInspectorWindow.h
// +++++ TO DO *
//   - abstract -> InspectorWindow
// * PURPOSE
//   Standalone window container for the GroupInspector panel.
// * HISTORY
//   e.moon		18aug99		Begun

#ifndef __GroupInspectorWindow_H__
#define __GroupInspectorWindow_H__

#include <Window.h>

#include "cortex_defs.h"
__BEGIN_CORTEX_NAMESPACE

class GroupInspector;
class NodeManager;

class GroupInspectorWindow :
	public	BWindow {
	typedef	BWindow _inherited;
	
public:											// *** ctors/dtor
	virtual ~GroupInspectorWindow();
	
	GroupInspectorWindow(
		NodeManager*						manager);
		
	BMessenger inspector() const;

public:											// *** BWindow
	bool QuitRequested();
	
private:
	GroupInspector*						m_groupInspector;
};

__END_CORTEX_NAMESPACE
#endif /*__GroupInspectorWindow_H__*/